From: "Aaron W. Swenson" <titanofold@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-db/pgadmin4/
Date: Thu, 11 Apr 2019 09:50:00 +0000 (UTC) [thread overview]
Message-ID: <1554976185.697211638dcd653945418a50bc143c25efa2685c.titanofold@gentoo> (raw)
commit: 697211638dcd653945418a50bc143c25efa2685c
Author: Aaron W. Swenson <titanofold <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 11 09:49:15 2019 +0000
Commit: Aaron W. Swenson <titanofold <AT> gentoo <DOT> org>
CommitDate: Thu Apr 11 09:49:45 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=69721163
dev-db/pgadmin4: Bump to 4.5
Package-Manager: Portage-2.3.62, Repoman-2.3.11
Signed-off-by: Aaron W. Swenson <titanofold <AT> gentoo.org>
dev-db/pgadmin4/Manifest | 1 +
dev-db/pgadmin4/pgadmin4-4.5.ebuild | 124 ++++++++++++++++++++++++++++++++++++
2 files changed, 125 insertions(+)
diff --git a/dev-db/pgadmin4/Manifest b/dev-db/pgadmin4/Manifest
index a2346bf2296..09317295a69 100644
--- a/dev-db/pgadmin4/Manifest
+++ b/dev-db/pgadmin4/Manifest
@@ -1,3 +1,4 @@
DIST pgadmin4-3.0.tar.gz 28915010 BLAKE2B 7e6dccd91f082f7b5514f5d3abdf4653a9961b4efc706e10ce58d817785d514508233e25068762fe0e4bca4c1a3cf10a2515afa38e6f9ba3c99b4af3fa32f3d2 SHA512 5921340176e6748ef13112d906061f195d4bb2f73917d762371bbaeb44ef66cf8e0edcd1cd241eb78dae46ed0b3af014c749468a930fb0c0983b38b2c54dfc3a
DIST pgadmin4-4.2.tar.gz 32382384 BLAKE2B c96806302e7c298e9fcdee3ada8fc519431eb3de778c55445de648e2867dc32168c5ad38209da63ac2d181612b2edfdd532f11ccd6020ab187c6fe23ef6272a6 SHA512 d3d242904c65f0af871890954c24005b4849b88599cde9a7cb82e077ff5db5a8c5f015c4af0b135d68f02daad42492af71373831c2212a36672af8d7621c3b2a
DIST pgadmin4-4.3.tar.gz 22480328 BLAKE2B 4a7527b59d3b9f3cbfa63003c09ffe2c826dd965e906c46939324182ffa5c9c0e0258fd56be1480555ed4cbc1b42231727d632ccc7c3339982412654100db38e SHA512 db072bab1dcd0a18b9c423b95847c7873b9f458168ebaaf6473a9de5b44b3134e39f5b84aeba0a6ada42b1e867e359e44bda84bf55377cb0abc169c7455852b6
+DIST pgadmin4-4.5.tar.gz 22420769 BLAKE2B ae16e34c4cfce0ae78f06321ea1fc34aac0e081df4c0d5906fc4da0c82abb67e374477b8f9a9266d003579eb8887541e4224465ce6eccd86589129e1b3efff24 SHA512 835434612ac2a7ff89fab4c4bed89644e43506491ce12d2b74ffdbc25b33f2ac9ae566c95e886d4b4f8bca6499c40be5f0d776b18bfdcebd44d7ffe3b89deb5f
diff --git a/dev-db/pgadmin4/pgadmin4-4.5.ebuild b/dev-db/pgadmin4/pgadmin4-4.5.ebuild
new file mode 100644
index 00000000000..17dde22510e
--- /dev/null
+++ b/dev-db/pgadmin4/pgadmin4-4.5.ebuild
@@ -0,0 +1,124 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{4,5,6} )
+PYTHON_REQ_USE="sqlite"
+
+inherit python-single-r1 qmake-utils
+
+DESCRIPTION="GUI administration and development platform for PostgreSQL"
+HOMEPAGE="https://www.pgadmin.org/"
+SRC_URI="mirror://postgresql/pgadmin/${PN}/v${PV}/source/${P}.tar.gz"
+
+LICENSE="POSTGRESQL"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+IUSE="doc"
+
+RESTRICT="test"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+COMMON_DEPEND="${PYTHON_DEPS}
+ dev-qt/qtnetwork:5
+ dev-qt/qtwidgets:5
+"
+
+DEPEND="${COMMON_DEPEND}
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+"
+
+RDEPEND="${COMMON_DEPEND}
+ >=app-text/htmlmin-0.1.12[${PYTHON_USEDEP}]
+ >=dev-python/Babel-2.3.4[${PYTHON_USEDEP}]
+ >=dev-python/beautifulsoup-4.4.1[${PYTHON_USEDEP}]
+ >=dev-python/blinker-1.4[${PYTHON_USEDEP}]
+ >=dev-python/click-6.6[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-2.2.2-r1[${PYTHON_USEDEP}]
+ >=dev-python/extras-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/flask-0.12.4[${PYTHON_USEDEP}]
+ >=dev-python/flask-babel-0.11.1[${PYTHON_USEDEP}]
+ >=dev-python/flask-babelex-0.9.3[${PYTHON_USEDEP}]
+ >=dev-python/flask-gravatar-0.5.0[${PYTHON_USEDEP}]
+ >=dev-python/flask-htmlmin-1.3.2[${PYTHON_USEDEP}]
+ >=dev-python/flask-login-0.3.2[${PYTHON_USEDEP}]
+ >=dev-python/flask-mail-0.9.1[${PYTHON_USEDEP}]
+ >=dev-python/flask-migrate-2.1.1[${PYTHON_USEDEP}]
+ >=dev-python/flask-paranoid-0.2.0[${PYTHON_USEDEP}]
+ >=dev-python/flask-principal-0.4.0[${PYTHON_USEDEP}]
+ >=dev-python/flask-security-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/flask-sqlalchemy-2.3.2[${PYTHON_USEDEP}]
+ >=dev-python/flask-wtf-0.14.2[${PYTHON_USEDEP}]
+ >=dev-python/html5lib-1.0.1[${PYTHON_USEDEP}]
+ >=dev-python/itsdangerous-0.24[${PYTHON_USEDEP}]
+ >=dev-python/jinja-2.7.3[${PYTHON_USEDEP}]
+ >=dev-python/linecache2-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/markupsafe-0.23[${PYTHON_USEDEP}]
+ >=dev-python/mimeparse-1.6.0[${PYTHON_USEDEP}]
+ >=dev-python/passlib-1.7.1[${PYTHON_USEDEP}]
+ >=dev-python/pbr-3.1.1[${PYTHON_USEDEP}]
+ >=dev-python/psutil-5.4.7[${PYTHON_USEDEP}]
+ >=dev-python/psycopg-2.7.4[${PYTHON_USEDEP}]
+ >=dev-python/pyrsistent-0.14.2[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.7.1[${PYTHON_USEDEP}]
+ >=dev-python/python-sqlparse-0.2.4[${PYTHON_USEDEP}]
+ >=dev-python/pytz-2018.3[${PYTHON_USEDEP}]
+ >=dev-python/simplejson-3.13.2[${PYTHON_USEDEP}]
+ >=dev-python/six-1.11.0[${PYTHON_USEDEP}]
+ >=dev-python/speaklater-1.3[${PYTHON_USEDEP}]
+ >=dev-python/sqlalchemy-1.2.5[${PYTHON_USEDEP}]
+ >=dev-python/sshtunnel-0.1.3[${PYTHON_USEDEP}]
+ >=dev-python/werkzeug-0.9.6[${PYTHON_USEDEP}]
+ >=dev-python/wtforms-2.1[${PYTHON_USEDEP}]
+"
+
+S="${WORKDIR}"/${P}/runtime
+
+src_prepare() {
+ cd "${WORKDIR}"/${P} || die
+ default
+}
+
+src_configure() {
+ eqmake5
+}
+
+src_compile() {
+ default
+ if use doc; then
+ cd "${WORKDIR}"/${P} || die
+ emake docs
+ fi
+}
+
+src_install() {
+ dobin pgAdmin4
+
+ cd "${WORKDIR}"/${P} || die
+
+ local APP_DIR=/usr/share/${PN}/web
+ insinto "${APP_DIR}"
+ doins -r web/*
+ cat > "${D}${APP_DIR}"/config_local.py <<-EOF
+ SERVER_MODE = False
+ UPGRADE_CHECK_ENABLED = False
+ EOF
+ python_optimize "${D}${APP_DIR}"
+
+ local CONFIG_DIR="/etc/xdg/pgadmin"
+ dodir "${CONFIG_DIR}"
+ cat > "${D}${CONFIG_DIR}"/pgadmin4.conf <<-EOF
+ [General]
+ ApplicationPath=${APP_DIR}
+ PythonPath=$(python_get_sitedir)
+ EOF
+
+ if use doc; then
+ rm -r docs/en_US/_build/html/_sources || die
+ insinto /usr/share/${PN}/docs/en_US/_build
+ doins -r docs/en_US/_build/html
+ fi
+}
next reply other threads:[~2019-04-11 9:50 UTC|newest]
Thread overview: 52+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-04-11 9:50 Aaron W. Swenson [this message]
-- strict thread matches above, loose matches on Subject: below --
2021-10-24 7:35 [gentoo-commits] repo/gentoo:master commit in: dev-db/pgadmin4/ Sam James
2021-08-18 19:49 Sam James
2021-03-05 19:50 Sam James
2021-02-24 10:59 Aaron W. Swenson
2021-02-24 10:41 Aaron W. Swenson
2021-02-18 7:23 Sam James
2021-02-12 9:57 Sam James
2021-01-10 10:19 Andreas Sturmlechner
2020-12-24 10:03 Agostino Sarubbo
2020-12-18 14:43 Aaron W. Swenson
2020-12-04 19:39 Thomas Deutschmann
2020-11-20 12:39 Aaron W. Swenson
2020-09-24 9:50 Aaron W. Swenson
2020-09-12 11:57 Aaron W. Swenson
2020-03-09 20:22 Andreas Sturmlechner
2020-03-09 12:48 Agostino Sarubbo
2020-03-09 12:39 Agostino Sarubbo
2020-02-09 16:18 Michał Górny
2019-12-01 19:27 Andreas Sturmlechner
2019-11-19 16:53 Aaron W. Swenson
2019-11-19 15:40 Agostino Sarubbo
2019-11-18 12:03 Agostino Sarubbo
2019-10-18 0:24 Aaron W. Swenson
2019-09-25 17:38 Michał Górny
2019-07-04 15:06 Aaron W. Swenson
2019-06-21 11:43 Aaron W. Swenson
2019-06-21 11:07 Agostino Sarubbo
2019-06-21 8:03 Agostino Sarubbo
2019-06-06 10:02 Aaron W. Swenson
2019-04-08 14:15 Mikle Kolyada
2019-03-07 16:56 Aaron W. Swenson
2019-02-16 12:05 Aaron W. Swenson
2019-02-16 12:03 Aaron W. Swenson
2019-02-13 11:34 Aaron W. Swenson
2018-11-04 11:45 Aaron Swenson
2018-10-21 10:51 Aaron Swenson
2018-10-21 10:51 Aaron Swenson
2018-10-08 10:22 Aaron Swenson
2018-10-05 10:32 Aaron Swenson
2018-08-12 20:59 Aaron Swenson
2018-07-09 18:58 Mikle Kolyada
2018-07-09 1:29 Thomas Deutschmann
2018-06-27 20:32 Pacho Ramos
2018-06-07 19:22 Aaron Bauman
2018-05-18 11:37 Aaron Swenson
2018-02-06 15:10 Thomas Deutschmann
2018-01-12 21:37 Aaron Swenson
2017-10-14 23:32 Aaron Swenson
2017-10-14 23:30 Aaron Swenson
2017-10-06 13:44 Aaron Swenson
2017-09-09 23:27 Aaron Swenson
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1554976185.697211638dcd653945418a50bc143c25efa2685c.titanofold@gentoo \
--to=titanofold@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox